## mkvtoolnix 76.0

=== debian/changelog ===
mkvtoolnix (76.0-0.1~mx23+1) mx; urgency=medium

  *New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 May 2023 16:54:26 -0700

mkvtoolnix (75.0.0-0.1~mx23+1) mx; urgency=medium

  *New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Apr 2023 15:58:31 -0700
