## mkvtoolnix 77.0

=== debian/changelog ===
mkvtoolnix (77.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Add the qt rcc resources file to the gui install.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Jun 2023 13:47:14 -0700

mkvtoolnix (76.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 May 2023 11:33:20 -0700

mkvtoolnix (75.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Apr 2023 15:58:31 -0700

mkvtoolnix (74.0.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux 21.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Feb 2023 15:37:09 -0800

mkvtoolnix (73.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jan 2023 14:51:56 -0800

mkvtoolnix (72.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Nov 2022 15:38:48 -0800

mkvtoolnix (71.1.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Oct 2022 14:24:48 -0700

mkvtoolnix (70.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Aug 2022 12:32:09 -0700
