=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Build-Depends: autoconf-archive,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                docbook-xsl,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -16,10 +16,8 @@
                libcurl4-gnutls-dev,
                libdvdread-dev,
                libflac-dev,
-               libfmt-dev (>= 8.1.1),
                libgmp-dev,
                liblzo2-dev,
-               libmatroska-dev (>= 1.7.1~),
                libogg-dev,
                libpugixml-dev,
                libqt5svg5-dev,
