## mkvtoolnix 78.0

=== debian/changelog ===
mkvtoolnix (78.0-2) unstable; urgency=medium

  * Fix 'Fails to build source after successful build' (Closes: #1047104)

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Aug 2023 07:15:56 +0200

mkvtoolnix (78.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 Jul 2023 01:19:26 +0200

mkvtoolnix (77.0-2) unstable; urgency=medium

  * Add the Qt resource file in the mkvtoolnix-gui package
  * Build with Qt 6

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Jun 2023 16:00:54 +0200

mkvtoolnix (77.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 10 Jun 2023 10:35:01 +0200
