## mkvtoolnix 79.0

=== debian/changelog ===
mkvtoolnix (79.0-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release:
    - mkvmerge: AV1: added support for reading Dolby Vision from AV1 IVF &
      OBU streams.
    - mkvmerge: MPEG TS reader: added support for colors in teletext subtitles.
    - MKVToolNix GUI: multiplexer: when adding files the GUI can automatically
      enable the “forced display” flag for subtitle tracks if the file name
      contains the word “forced” delimited by certain characters (configurable)
      This feature is turned on by default.
    - MKVToolNix GUI: multiplexer: added the option --stop-after-video-ends
      to the dialog for additional command line options. Implements #3594.
    - MKVToolNix GUI: multiplexer: when adding Blu-ray playlists the dialog
      allowing the user to select the playlist to add will now show audio &
      video track properties as well (pixel dimensions for video; sampling
      frequency, channels for audio).
    - MKVToolNix GUI: header editor: in order to reduce confusion with users
      not that well versed in Matroska elements, the naming of the two
      “language” track properties has been changed: the old element is now
      titled “Language (obsolete)” & the current, IETF BCP 47 based one is
      simply called “Language”.
    - MKVToolNix GUI: preferences: you can now use the “delete” key to remove
      entries from simple list widgets for strings (e.g. the list of recently
      used destination directories). 

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 08:58:54 -0700

mkvtoolnix (78.0-1~mx19+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jul 2023 12:30:55 -0700
