=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
 
+export QT_SELECT=5
+
 %:
 	dh $@
 
@@ -18,7 +20,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	  dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
 
@@ -43,6 +45,8 @@
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
 
-# No dbgsym packages:
+override_dh_dwz:
+	dh_dwz -Xmkvmerge
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
