## mkvtoolnix 80.0

=== debian/changelog ===
mkvtoolnix (80.0-1~mx23+1) mx; urgency=medium

  * New upstream release:
    - MKVToolNix GUI: if the system's locale uses one of the Han scripts, the
      GUI will force Arabic numerals to be used in spin boxes. This prevents
      Suzhou numerals from being used which seems to be the default on Windows
      systems sold in China. Implements #3624.
    - build system: fixed detection of Qt6 if clang is used for compilation on
      Linux. In that case Qt's `qmake` added a `gcc`-specific option that clang
      doesn't understand, `-mno-direct-extern-access`. configure will now pass
      the parameter `-spec linux-clang` to `qmake` so that it uses the correct
      compiler flags.
    - build system: fixed the use of `mktemp` to be more portable to e.g.
      macOS. Fixes #3608.
    - mkvmerge: if a video aspect ratio was given with `--aspect-ratio-factor`,
      the code would apply a second factor based on the pixel resolution,
      resulting in much too large values for the `DisplayWidth` element. For
      example, with a pixel resolution of 720x520 & an aspect ratio factor of
      1/1 the result should be 720x520, but instead it was 900x520. Up until
      release 76.0 this has only happened when a track order was given (which
      unfortunately includes all invocations with MKVToolNix GUI as it always
      includes the track order). Starting with release 77.0 this has always
      happened due to the automatic sorting of tracks implicitly creating a
      track order, even if none was given.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Nov 2023 11:48:29 -0800

mkvtoolnix (79.0-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release:
    - mkvmerge: AV1: added support for reading Dolby Vision from AV1 IVF &
      OBU streams.
    - mkvmerge: MPEG TS reader: added support for colors in teletext subtitles.
    - MKVToolNix GUI: multiplexer: when adding files the GUI can automatically
      enable the “forced display” flag for subtitle tracks if the file name
      contains the word “forced” delimited by certain characters (configurable)
      This feature is turned on by default.
    - MKVToolNix GUI: multiplexer: added the option --stop-after-video-ends
      to the dialog for additional command line options. Implements #3594.
    - MKVToolNix GUI: multiplexer: when adding Blu-ray playlists the dialog
      allowing the user to select the playlist to add will now show audio &
      video track properties as well (pixel dimensions for video; sampling
      frequency, channels for audio).
    - MKVToolNix GUI: header editor: in order to reduce confusion with users
      not that well versed in Matroska elements, the naming of the two
      “language” track properties has been changed: the old element is now
      titled “Language (obsolete)” & the current, IETF BCP 47 based one is
      simply called “Language”.
    - MKVToolNix GUI: preferences: you can now use the “delete” key to remove
      entries from simple list widgets for strings (e.g. the list of recently
      used destination directories). 

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 08:58:54 -0700

mkvtoolnix (78.0-1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jul 2023 12:30:55 -0700
