## mkvtoolnix 82.0

=== debian/changelog ===
mkvtoolnix (82.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:02 +1100

mkvtoolnix (82.0-1build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:57:04 +0000

mkvtoolnix (82.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 02 Jan 2024 17:44:32 +0100

mkvtoolnix (81.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 02 Dec 2023 14:57:24 +0100

mkvtoolnix (80.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Oct 2023 07:43:39 +0100

mkvtoolnix (79.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 20 Aug 2023 12:29:34 +0200
