## mkvtoolnix 83.0

=== debian/changelog ===
mkvtoolnix (83.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Mar 2024 11:26:08 -0700

mkvtoolnix (82.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Jan 2024 07:31:49 -0800
