=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
 
-export QT_SELECT=5
-
 %:
 	dh $@
 
@@ -20,7 +18,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	  dh_auto_configure -- \
+	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
 
@@ -33,7 +31,9 @@
 	[ ! -f build-config ] || rake clean:dist
 
 	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
-	config.h build-config ac/ax_boost_base.m4
+	config.h build-config ac/ax_boost_base.m4 tests/unit/common/common \
+	tests/unit/merge/merge tests/unit/propedit/propedit \
+	doc/development.html
 
 override_dh_install:
 	rake install DESTDIR=$(CURDIR)/debian/tmp
@@ -45,8 +45,6 @@
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
 
-override_dh_dwz:
-	dh_dwz -Xmkvmerge
-
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
