## mkvtoolnix 84.0

=== debian/changelog ===
mkvtoolnix (84.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 28 Apr 2024 14:27:55 +0200

mkvtoolnix (83.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Mar 2024 00:41:31 +0100
