## mkvtoolnix 85.0

=== debian/changelog ===
mkvtoolnix (85.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2024 11:51:30 -0700

mkvtoolnix (85.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jun 2024 18:53:51 +0200
