## mkvtoolnix 87.0

=== debian/changelog ===
mkvtoolnix (87.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Sep 2024 17:26:46 -0700

mkvtoolnix (87.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Sep 2024 14:32:05 +0200
