## mkvtoolnix 88.0

=== debian/changelog ===
mkvtoolnix (88.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Oct 2024 15:11:20 -0700

mkvtoolnix (88.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Oct 2024 15:46:15 +0200
