=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
- libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
- libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- pkg-config, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
- libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.0~),
- autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
- libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+               docbook-xsl,
+               libboost-date-time-dev,
+               libboost-filesystem-dev,
+               libboost-math-dev,
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3~),
+               libcurl4-gnutls-dev,
+               libdvdread-dev,
+               libflac-dev,
+               libfmt-dev (>= 8.0~),
+               libgmp-dev,
+               libgtest-dev,
+               liblzo2-dev,
+               libmatroska-dev (>= 1.7.1~),
+               libogg-dev,
+               libpugixml-dev,
+               libutfcpp-dev,
+               libvorbis-dev,
+               nlohmann-json3-dev,
+               pkg-config,
+               po4a,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-svg-dev,
+               rake,
+               ruby:any,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
@@ -29,7 +53,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: mkvtoolnix (<< 35.0.0-1)
 Replaces: mkvtoolnix (<< 35.0.0-1)
 Suggests: mediainfo-gui
