=== debian/changelog ===
mkvtoolnix (89.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative dependency for libqt6svg6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jan 2025 09:57:26 -0800

mkvtoolnix (89.0-1) unstable; urgency=medium

  * New upstream release.
  * mkvtoolnix-gui should Depends on qt6-svg-plugins
  * Update pkg-config => pkgconf

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Jan 2025 11:55:14 +0100
