=== debian/changelog ===
mkvtoolnix (90.0-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:37:35 -0500

mkvtoolnix (90.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 12 Feb 2025 01:14:57 +0100
