## mkvtoolnix 92.0

=== debian/changelog ===
mkvtoolnix (92.0-1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Apr 2025 23:43:07 -0700

mkvtoolnix (90.0-1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Feb 2025 18:49:31 -0800
