## mkvtoolnix 93.0

=== debian/changelog ===
mkvtoolnix (93.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Jul 2025 16:34:59 -0700
