=== debian/changelog ===
mkvtoolnix (94.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jul 2025 11:23:47 +0200

mkvtoolnix (92.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Apr 2025 10:14:15 +0200
